Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
  1. AOI
  2. List all AOIs

List all AOIs

List all Areas of Interest (AOIs) with optional filtering

GET/v0/aois
Authorisations
AuthorizationString
Query Parameters
offsetinteger
Offset for pagination
limitinteger
Limit for pagination
created_atstring
Filter by creation date
updated_atstring
Filter by update date
aoi_idstring
Filter by AOI ID
aoi_namestring
Filter by AOI name
project_idsstring
Filter by project IDs (comma separated)
Response
application/json
OK
aoisobject[]
Show child attributes
paginationobject
Show child attributes
List all AOIs
cURL
Python
Go
TypeScript
1curl -X GET 'https://api.pixxel.space/v0/aois' \
2 -H 'Authorization: YOUR_API_KEY'
Response:
{
"aois": [
{
"aoi_id": "e9767554-550e-4464-a677-b8cf096073ab",
"name": "AOI-D2",
"description": "This AOI contains images of D2",
"satellite_id": "0005c5bb-0bd2-4c80-9393-4a808341c54c",
"project_id": "ce5dcc14-8291-4b0c-a278-8c05ec426d22",
"images": {},
"eo_bands": [
"B01",
"B02",
"B03"
],
"geometry": null,
"progress": 100,
"status": "success",
"is_favourite": false,
"created_at": "2022-11-14T12:55:49.125928+00:00",
"updated_at": "2022-11-14T12:55:49.125928+00:00",
"user_id": "user-123456",
"area_in_sq_m": 123456.78,
"centroid": [
77.55,
12.95
]
}
],
"pagination": {
"limit": 10,
"offset": 0,
"total": 100
}
}
Get projectCreate a new AOI